# Generated from influxdb-rails-1.0.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name influxdb-rails

Name: rubygem-%{gem_name}
Version: 1.0.3
Release: 1%{?dist}
Summary: InfluxDB bindings for Ruby on Rails
License: MIT
URL: https://influxdata.com
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.5.0
# BuildRequires: rubygem(actionmailer)
# BuildRequires: rubygem(activejob)
# BuildRequires: rubygem(activerecord)
# BuildRequires: rubygem(fakeweb)
# BuildRequires: rubygem(launchy)
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(rspec-rails) >= 3.0.0
# BuildRequires: rubygem(rubocop) >= 1.9.0
# BuildRequires: rubygem(rubocop) < 1.10
# BuildRequires: rubygem(sqlite3)
# BuildRequires: rubygem(tzinfo)
BuildArch: noarch

%description
This gem instruments your Ruby on Rails application using InfluxDB.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/config.ru
%{gem_instdir}/gemfiles
%{gem_libdir}
%{gem_instdir}/sample-dashboard
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/influxdb-rails.gemspec
%{gem_instdir}/spec

%changelog
* Wed Sep 15 2021 mockbuilder - 1.0.3-1
- Initial package
